build:ios failed. Failed when trying to find previously uploaded Apple Distribution Certificate

When I try to build for ios I get an error and I have no idea what to do. Yesterday I had no problem building for iOS. I updated app.json by changing skdVersion from 33.0.0 to 35.0.0 and added buildnumer to ios.

I already run --clear-push-cert for the push notifications on ios. Below is the error I got:

$ expo build:ios
Checking if there is a build in progress…

Please enter your Apple Developer Program account credentials. These credentials are needed to manage certificates, keys and
provisioning profiles in your Apple Developer account.
The password is only used to authenticate with Apple and never stored.
? Apple ID: y.vanoosterum@gmail.com
? Password (for y.vanoosterum@gmail.com): [hidden]
Trying to authenticate with Apple Developer Portal…
Authenticated with Apple Developer Portal successfully!
Only 1 team associated with your account, using Apple Team with ID: 6ZW39JN953
We are missing the following credentials from you: Apple Distribution Certificate, Apple Push Notifications service key, Apple Provisioning Profile
? How would you like to upload your credentials? Expo handles all credentials, you can still provide overrides
? Will you provide your own Apple Distribution Certificate? Let Expo handle the process
:heavy_multiplication_x: Failed when trying to find previously uploaded Apple Distribution Certificate
Request failed with status code 500
Error: Request failed with status code 500
at createError (/usr/local/lib/node_modules/expo-cli/node_modules/axios/lib/core/createError.js:16:15)
at settle (/usr/local/lib/node_modules/expo-cli/node_modules/axios/lib/core/settle.js:17:12)
at IncomingMessage.handleStreamEnd (/usr/local/lib/node_modules/expo-cli/node_modules/axios/lib/adapters/http.js:237:11)
at emitNone (events.js:111:20)
at IncomingMessage.emit (events.js:208:7)
at endReadableNT (_stream_readable.js:1064:12)
at _combinedTickCallback (internal/process/next_tick.js:139:11)
at process._tickCallback (internal/process/next_tick.js:181:9)

Expo diagnostics:

Expo CLI 3.4.1 environment info:
System:
OS: macOS 10.14.6
Shell: 3.2.57 - /bin/bash
Binaries:
Node: 8.16.0 - /usr/local/bin/node
Yarn: 1.19.1 - /usr/local/bin/yarn
npm: 6.4.1 - /usr/local/bin/npm
Watchman: 4.9.0 - /usr/local/bin/watchman
IDEs:
Android Studio: 3.4 AI-183.6156.11.34.5522156
Xcode: 11.1/11A1027 - /usr/bin/xcodebuild
npmPackages:
expo: ^35.0.0 => 35.0.0
react: 16.8.3 => 16.8.3
react-native: ^0.59.8 => 0.59.10
react-navigation: ^3.0.9 => 3.11.0
npmGlobalPackages:
expo-cli: 3.4.1